Index: sasmodels/models/be_polyelectrolyte.py
===================================================================
--- sasmodels/models/be_polyelectrolyte.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
+++ sasmodels/models/be_polyelectrolyte.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -44,5 +44,6 @@
 J F Joanny, L Leibler, *Journal de Physique*, 51 (1990) 545
 
-A Moussaid, F Schosseler, J P Munch, S Candau, *J. Journal de Physique II France*, 3 (1993) 573
+A Moussaid, F Schosseler, J P Munch, S Candau,
+*J. Journal de Physique II France*, 3 (1993) 573
 
 E Raphael, J F Joanny, *Europhysics Letters*, 11 (1990) 179
@@ -50,5 +51,5 @@
 """
 
-from numpy import inf, power, pi, sqrt
+from numpy import inf, pi, sqrt
 
 name = "be_polyelectrolyte"
@@ -66,34 +67,48 @@
 category = "shape-independent"
 
-#            ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["contrast_factor",       "barns",   10.0,  [-inf, inf], "", "Contrast factor of the polymer"],
-              ["bjerrum_length",        "Ang",      7.1,  [0, inf],    "", "Bjerrum length"],
-              ["virial_param",          "1/Ang^2", 12.0,  [-inf, inf], "", "Virial parameter"],
-              ["monomer_length",        "Ang",     10.0,  [0, inf],    "", "Monomer length"],
-              ["salt_concentration",    "mol/L",    0.0,  [-inf, inf], "", "Concentration of monovalent salt"],
-              ["ionization_degree",     "",         0.05, [0, inf],    "", "Degree of ionization"],
-              ["polymer_concentration", "mol/L",    0.7,  [0, inf],    "", "Polymer molar concentration"],
-              ]
+# pylint: disable=bad-whitespace, line-too-long
+#   ["name", "units", default, [lower, upper], "type", "description"],
+parameters = [
+    ["contrast_factor",       "barns",   10.0,  [-inf, inf], "", "Contrast factor of the polymer"],
+    ["bjerrum_length",        "Ang",      7.1,  [0, inf],    "", "Bjerrum length"],
+    ["virial_param",          "1/Ang^2", 12.0,  [-inf, inf], "", "Virial parameter"],
+    ["monomer_length",        "Ang",     10.0,  [0, inf],    "", "Monomer length"],
+    ["salt_concentration",    "mol/L",    0.0,  [-inf, inf], "", "Concentration of monovalent salt"],
+    ["ionization_degree",     "",         0.05, [0, inf],    "", "Degree of ionization"],
+    ["polymer_concentration", "mol/L",    0.7,  [0, inf],    "", "Polymer molar concentration"],
+    ]
+# pylint: enable=bad-whitespace, line-too-long
 
 
 def Iq(q,
-       contrast_factor,
-       bjerrum_length,
-       virial_param,
-       monomer_length,
-       salt_concentration,
-       ionization_degree,
-       polymer_concentration):
+       contrast_factor=10.0,
+       bjerrum_length=7.1,
+       virial_param=12.0,
+       monomer_length=10.0,
+       salt_concentration=0.0,
+       ionization_degree=0.05,
+       polymer_concentration=0.7):
+    """
+    :param q:                     Input q-value
+    :param contrast_factor:       Contrast factor of the polymer
+    :param bjerrum_length:        Bjerrum length
+    :param virial_param:          Virial parameter
+    :param monomer_length:        Monomer length
+    :param salt_concentration:    Concentration of monovalent salt
+    :param ionization_degree:     Degree of ionization
+    :param polymer_concentration: Polymer molar concentration
+    :return:                      1-D intensity
+    """
 
     concentration = polymer_concentration * 6.022136e-4
 
     k_square = 4.0 * pi * bjerrum_length * (2*salt_concentration +
-            ionization_degree * concentration)
+                                            ionization_degree * concentration)
 
     r0_square = 1.0/ionization_degree/sqrt(concentration) * \
-            (monomer_length/sqrt((48.0*pi*bjerrum_length)))
+                (monomer_length/sqrt((48.0*pi*bjerrum_length)))
 
     term1 = contrast_factor/(4.0 * pi * bjerrum_length *
-        ionization_degree**2) * (q**2 + k_square)
+                             ionization_degree**2) * (q**2 + k_square)
 
     term2 = 1.0 + r0_square**2 * (q**2 + k_square) * \
@@ -106,7 +121,12 @@
 
 def Iqxy(qx, qy, *args):
-        iq = Iq(sqrt(qx**2 + qy**2), *args)
-
-        return iq
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining arguments
+    :return:     2D-Intensity
+    """
+    iq = Iq(sqrt(qx**2 + qy**2), *args)
+    return iq
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
@@ -134,42 +154,43 @@
 
 tests = [
-         # Accuracy tests based on content in test/utest_other_models.py
-         [{'contrast_factor':       10.0,
-           'bjerrum_length':         7.1,
-           'virial_param':          12.0,
-           'monomer_length':        10.0,
-           'salt_concentration':     0.0,
-           'ionization_degree':      0.05,
-           'polymer_concentration':  0.7,
-           'background':             0.001,
-           }, 0.001, 0.0948379],
 
-         # Additional tests with larger range of parameters
-         [{'contrast_factor':       10.0,
-           'bjerrum_length':       100.0,
-           'virial_param':           3.0,
-           'monomer_length':         1.0,
-           'salt_concentration':    10.0,
-           'ionization_degree':      2.0,
-           'polymer_concentration': 10.0,
-           }, 0.1, -3.75693800588],
+    # Accuracy tests based on content in test/utest_other_models.py
+    [{'contrast_factor':       10.0,
+      'bjerrum_length':         7.1,
+      'virial_param':          12.0,
+      'monomer_length':        10.0,
+      'salt_concentration':     0.0,
+      'ionization_degree':      0.05,
+      'polymer_concentration':  0.7,
+      'background':             0.001,
+     }, 0.001, 0.0948379],
 
-         [{'contrast_factor':       10.0,
-           'bjerrum_length':       100.0,
-           'virial_param':           3.0,
-           'monomer_length':         1.0,
-           'salt_concentration':    10.0,
-           'ionization_degree':      2.0,
-           'polymer_concentration': 10.0,
-           'background':           100.0
-           }, 5.0, 100.029142149],
+    # Additional tests with larger range of parameters
+    [{'contrast_factor':       10.0,
+      'bjerrum_length':       100.0,
+      'virial_param':           3.0,
+      'monomer_length':         1.0,
+      'salt_concentration':    10.0,
+      'ionization_degree':      2.0,
+      'polymer_concentration': 10.0,
+     }, 0.1, -3.75693800588],
 
-         [{'contrast_factor':     100.0,
-           'bjerrum_length':       10.0,
-           'virial_param':        180.0,
-           'monomer_length':        1.0,
-           'salt_concentration':    0.1,
-           'ionization_degree':     0.5,
-           'polymer_concentration': 0.1,
-           }, 200., 1.80664667511e-06],
-         ]
+    [{'contrast_factor':       10.0,
+      'bjerrum_length':       100.0,
+      'virial_param':           3.0,
+      'monomer_length':         1.0,
+      'salt_concentration':    10.0,
+      'ionization_degree':      2.0,
+      'polymer_concentration': 10.0,
+      'background':           100.0
+     }, 5.0, 100.029142149],
+
+    [{'contrast_factor':     100.0,
+      'bjerrum_length':       10.0,
+      'virial_param':        180.0,
+      'monomer_length':        1.0,
+      'salt_concentration':    0.1,
+      'ionization_degree':     0.5,
+      'polymer_concentration': 0.1,
+     }, 200., 1.80664667511e-06],
+    ]
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision f94d8a27ee285627fab8769c64a054dbc75e774f)
+++ sasmodels/models/flexible_cylinder.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -1,5 +1,5 @@
 r"""
-This model provides the form factor, $P(q)$, for a flexible cylinder where the form factor
-is normalized by the volume of the cylinder.
+This model provides the form factor, $P(q)$, for a flexible cylinder
+where the form factor is normalized by the volume of the cylinder.
 **Inter-cylinder interactions are NOT provided for.**
 
@@ -8,7 +8,9 @@
     P(q) = \text{scale} \left<F^2\right>/V + \text{background}
 
-where the averaging $\left<\ldots\right>$ is applied only for the 1D calculation
+where the averaging $\left<\ldots\right>$ is applied only for the 1D
+calculation
 
-The 2D scattering intensity is the same as 1D, regardless of the orientation of the q vector which is defined as
+The 2D scattering intensity is the same as 1D, regardless of the orientation of
+the q vector which is defined as
 
 .. math::
@@ -22,12 +24,14 @@
 
 
-The chain of contour length, $L$, (the total length) can be described as a chain of some number of
-locally stiff segments of length $l_p$, the persistence length (the length along the cylinder over
-which the flexible cylinder can be considered a rigid rod).
+The chain of contour length, $L$, (the total length) can be described as a
+chain of some number of locally stiff segments of length $l_p$, the persistence
+length (the length along the cylinder over which the flexible cylinder can be
+considered a rigid rod).
 The Kuhn length $(b = 2*l_p)$ is also used to describe the stiffness of a chain.
 
 The returned value is in units of $cm^-1$, on absolute scale.
 
-In the parameters, the sldCyl and sldSolv represent the SLD of the chain/cylinder and solvent respectively.
+In the parameters, the sldCyl and sldSolv represent the SLD of the chain/cylinder
+and solvent respectively.
 
 
@@ -37,6 +41,6 @@
 
 
-Our model uses the form factor calculations implemented in a c-library provided by the NIST Center
-for Neutron Research (Kline, 2006).
+Our model uses the form factor calculations implemented in a c-library provided
+by the NIST Center for Neutron Research (Kline, 2006).
 
 
@@ -45,5 +49,6 @@
     'Method 3 With Excluded Volume' is used.
     The model is a parametrization of simulations of a discrete representation
-    of the worm-like chain model of Kratky and Porod applied in the pseudocontinuous limit.
+    of the worm-like chain model of Kratky and Porod applied in the
+    pseudocontinuous limit.
     See equations (13,26-27) in the original reference for the details.
 
@@ -51,19 +56,22 @@
 ----------
 
-J S Pedersen and P Schurtenberger. *Scattering functions of semiflexible polymers with and
-without excluded volume effects.* Macromolecules, 29 (1996) 7602-7612
+J S Pedersen and P Schurtenberger. *Scattering functions of semiflexible
+polymers with and without excluded volume effects.* Macromolecules,
+29 (1996) 7602-7612
 
 Correction of the formula can be found in
 
-W R Chen, P D Butler and L J Magid, *Incorporating Intermicellar Interactions in the Fitting of
-SANS Data from Cationic Wormlike Micelles.* Langmuir, 22(15) 2006 6539-6548
+W R Chen, P D Butler and L J Magid, *Incorporating Intermicellar Interactions
+in the Fitting of SANS Data from Cationic Wormlike Micelles.* Langmuir,
+22(15) 2006 6539-6548
 """
 from numpy import inf
 
 name = "flexible_cylinder"
-title = "Flexible cylinder where the form factor is normalized by the volume of the cylinder."
-description = """Note : scale and contrast=sld-solvent_sld are both multiplicative factors in the
-                model and are perfectly correlated. One or
-                both of these parameters must be held fixed
+title = "Flexible cylinder where the form factor is normalized by the volume" \
+        "of the cylinder."
+description = """Note : scale and contrast=sld-solvent_sld are both
+                multiplicative factors in the model and are perfectly
+                correlated. One or both of these parameters must be held fixed
                 during model fitting.
               """
@@ -71,13 +79,14 @@
 category = "shape:cylinder"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [
-              ["length",      "Ang",       1000.0, [0, inf],    "volume", "Length of the flexible cylinder"],
-              ["kuhn_length", "Ang",        100.0, [0, inf],    "volume", "Kuhn length of the flexible cylinder"],
-              ["radius",      "Ang",         20.0, [0, inf],    "volume", "Radius of the flexible cylinder"],
-              ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "",       "Cylinder scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2",   6.3, [-inf, inf], "",       "Solvent scattering length density"],
-             ]
-
+    ["length",      "Ang",       1000.0, [0, inf],    "volume", "Length of the flexible cylinder"],
+    ["kuhn_length", "Ang",        100.0, [0, inf],    "volume", "Kuhn length of the flexible cylinder"],
+    ["radius",      "Ang",         20.0, [0, inf],    "volume", "Radius of the flexible cylinder"],
+    ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "",       "Cylinder scattering length density"],
+    ["solvent_sld", "1e-6/Ang^2",   6.3, [-inf, inf], "",       "Solvent scattering length density"],
+    ]
+# pylint: enable=bad-whitespace, line-too-long
 source = ["lib/J1.c", "lib/wrc_cyl.c", "flexible_cylinder.c"]
 
@@ -94,36 +103,36 @@
 
 tests = [
-         # Accuracy tests based on content in test/utest_other_models.py
-         # Currently fails in OCL
-         # [{'length':     1000.0,
-         #  'kuhn_length': 100.0,
-         #  'radius':       20.0,
-         #  'sld':           1.0,
-         #  'solvent_sld':   6.3,
-         #  'background':    0.0001,
-         #  }, 0.001, 3509.2187],
+    # Accuracy tests based on content in test/utest_other_models.py
+    # Currently fails in OCL
+    # [{'length':     1000.0,
+    #  'kuhn_length': 100.0,
+    #  'radius':       20.0,
+    #  'sld':           1.0,
+    #  'solvent_sld':   6.3,
+    #  'background':    0.0001,
+    #  }, 0.001, 3509.2187],
 
-         # Additional tests with larger range of parameters
-         [{'length':     1000.0,
-           'kuhn_length': 100.0,
-           'radius':       20.0,
-           'sld':           1.0,
-           'solvent_sld':   6.3,
-           'background':    0.0001,
-           }, 1.0, 0.000595345],
-        [{'length':        10.0,
-           'kuhn_length': 800.0,
-           'radius':        2.0,
-           'sld':           6.0,
-           'solvent_sld':  12.3,
-           'background':    0.001,
-           }, 0.1, 1.55228],
-       [{'length':        100.0,
-           'kuhn_length': 800.0,
-           'radius':       50.0,
-           'sld':           0.1,
-           'solvent_sld':   5.1,
-           'background':    0.0,
-           }, 1.0, 0.000938456]
-         ]
+    # Additional tests with larger range of parameters
+    [{'length':    1000.0,
+      'kuhn_length': 100.0,
+      'radius':       20.0,
+      'sld':           1.0,
+      'solvent_sld':   6.3,
+      'background':    0.0001,
+     }, 1.0, 0.000595345],
+    [{'length':        10.0,
+      'kuhn_length': 800.0,
+      'radius':        2.0,
+      'sld':           6.0,
+      'solvent_sld':  12.3,
+      'background':    0.001,
+     }, 0.1, 1.55228],
+    [{'length':        100.0,
+      'kuhn_length': 800.0,
+      'radius':       50.0,
+      'sld':           0.1,
+      'solvent_sld':   5.1,
+      'background':    0.0,
+     }, 1.0, 0.000938456]
+    ]
 
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -42,9 +42,10 @@
 ----------
 
-G Evmenenko, E Theunissen, K Mortensen, H Reynaers, *Polymer*, 42 (2001) 2907-2913
+G Evmenenko, E Theunissen, K Mortensen, H Reynaers, *Polymer*,
+42 (2001) 2907-2913
 
 """
 
-from numpy import inf, pi, sqrt, exp
+from numpy import inf, sqrt, exp
 
 name = "gauss_lorentz_gel"
@@ -63,5 +64,5 @@
             """
 category = "shape-independent"
-
+# pylint: disable=bad-whitespace, line-too-long
 #            ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [["gauss_scale_factor",   "",    100.0,  [-inf, inf], "", "Gauss scale factor"],
@@ -69,19 +70,28 @@
               ["lorentz_scale_factor", "",     50.0,  [-inf, inf], "", "Lorentzian scale factor"],
               ["dynamic_cor_length",   "Ang",  20.0,  [0, inf],    "", "Dynamic correlation length"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 def Iq(q,
-       gauss_scale_factor,
-       static_cor_length,
-       lorentz_scale_factor,
-       dynamic_cor_length):
+       gauss_scale_factor=100.0,
+       static_cor_length=100.0,
+       lorentz_scale_factor=50.0,
+       dynamic_cor_length=20.0):
+    """
 
-        term1 = gauss_scale_factor *\
-                exp(-1.0*q*q*static_cor_length*static_cor_length/2.0)
-        term2 = lorentz_scale_factor /\
-                (1.0+(q*dynamic_cor_length)*(q*dynamic_cor_length))
+    :param q:                    Input q-value
+    :param gauss_scale_factor:   Gauss scale factor
+    :param static_cor_length:    Static correlation length
+    :param lorentz_scale_factor: Lorentzian scale factor
+    :param dynamic_cor_length:   Dynamic correlation length
+    :return:                     1-D intensity
+    """
 
-        return term1 + term2
+    term1 = gauss_scale_factor *\
+            exp(-1.0*q*q*static_cor_length*static_cor_length/2.0)
+    term2 = lorentz_scale_factor /\
+            (1.0+(q*dynamic_cor_length)*(q*dynamic_cor_length))
+
+    return term1 + term2
 
 Iq.vectorized = True  # Iq accepts an array of q values
@@ -89,7 +99,12 @@
 
 def Iqxy(qx, qy, *args):
-        iq = Iq(sqrt(qx**2 + qy**2), *args)
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining aruments
+    :return:     2-D intensity
+    """
 
-        return iq
+    return Iq(sqrt(qx**2 + qy**2), *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
@@ -111,41 +126,42 @@
 
 tests = [
-         # Accuracy tests based on content in test/utest_extra_models.py
-         [{'gauss_scale_factor':  100.0,
-           'static_cor_length':   100.0,
-           'lorentz_scale_factor': 50.0,
-           'dynamic_cor_length':   20.0,
-           }, 0.001, 149.481],
 
-         [{'gauss_scale_factor':  100.0,
-           'static_cor_length':   100.0,
-           'lorentz_scale_factor': 50.0,
-           'dynamic_cor_length':   20.0,
-           }, 0.105363, 9.1903],
+    # Accuracy tests based on content in test/utest_extra_models.py
+    [{'gauss_scale_factor':  100.0,
+      'static_cor_length':   100.0,
+      'lorentz_scale_factor': 50.0,
+      'dynamic_cor_length':   20.0,
+     }, 0.001, 149.481],
 
-         [{'gauss_scale_factor':  100.0,
-           'static_cor_length':   100.0,
-           'lorentz_scale_factor': 50.0,
-           'dynamic_cor_length':   20.0,
-           }, 0.441623, 0.632811],
+    [{'gauss_scale_factor':  100.0,
+      'static_cor_length':   100.0,
+      'lorentz_scale_factor': 50.0,
+      'dynamic_cor_length':   20.0,
+     }, 0.105363, 9.1903],
 
-         # Additional tests with larger range of parameters
-         [{'gauss_scale_factor':  10.0,
-           'static_cor_length':  100.0,
-           'lorentz_scale_factor': 3.0,
-           'dynamic_cor_length':   1.0,
-           }, 0.1, 2.9702970297],
+    [{'gauss_scale_factor':  100.0,
+      'static_cor_length':   100.0,
+      'lorentz_scale_factor': 50.0,
+      'dynamic_cor_length':   20.0,
+     }, 0.441623, 0.632811],
 
-         [{'gauss_scale_factor':  10.0,
-           'static_cor_length':  100.0,
-           'lorentz_scale_factor': 3.0,
-           'dynamic_cor_length':   1.0,
-           'background':         100.0
-           }, 5.0, 100.115384615],
+    # Additional tests with larger range of parameters
+    [{'gauss_scale_factor':  10.0,
+      'static_cor_length':  100.0,
+      'lorentz_scale_factor': 3.0,
+      'dynamic_cor_length':   1.0,
+     }, 0.1, 2.9702970297],
 
-         [{'gauss_scale_factor':  10.0,
-           'static_cor_length':  100.0,
-           'lorentz_scale_factor': 3.0,
-           'dynamic_cor_length':   1.0,
-           }, 200., 7.49981250469e-05],
-         ]
+    [{'gauss_scale_factor':  10.0,
+      'static_cor_length':  100.0,
+      'lorentz_scale_factor': 3.0,
+      'dynamic_cor_length':   1.0,
+      'background':         100.0
+     }, 5.0, 100.115384615],
+
+    [{'gauss_scale_factor':  10.0,
+      'static_cor_length':  100.0,
+      'lorentz_scale_factor': 3.0,
+      'dynamic_cor_length':   1.0,
+     }, 200., 7.49981250469e-05],
+    ]
Index: sasmodels/models/gel_fit.py
===================================================================
--- sasmodels/models/gel_fit.py	(revision 513efc509d218370e6a8ca9cabf24f087a2de902)
+++ sasmodels/models/gel_fit.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -7,6 +7,6 @@
 in the position of the polymer chains that ensure thermodynamic equilibrium,
 and a longer distance (denoted here as $a2$ ) needed to account for the static
-accumulations of polymer pinned down by junction points or clusters of such points.
-The latter is derived from a simple Guinier function.
+accumulations of polymer pinned down by junction points or clusters of such
+points. The latter is derived from a simple Guinier function.
 
 
@@ -40,9 +40,9 @@
 ---------
 
-Mitsuhiro Shibayama, Toyoichi Tanaka, Charles C Han, J. Chem. Phys. 1992, 97 (9),
-6829-6841
+Mitsuhiro Shibayama, Toyoichi Tanaka, Charles C Han,
+*J. Chem. Phys.* 1992, 97 (9), 6829-6841
 
 Simon Mallam, Ferenc Horkay, Anne-Marie Hecht, Adrian R Rennie, Erik Geissler,
-Macromolecules 1991, 24, 543-548
+*Macromolecules* 1991, 24, 543-548
 
 """
@@ -62,4 +62,5 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["guinier_scale",    "cm^{-1}",   1.7, [-inf, inf], "", "Guinier length scale"],
@@ -68,6 +69,6 @@
               ["fractal_exp",      "",          2.0, [0, inf],    "", "Fractal exponent"],
               ["cor_length",       "Ang",      16.0, [0, inf],    "", "Correlation length"]
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["gel_fit.c"]
@@ -92,5 +93,5 @@
            'fractal_exp': 10.0,
            'cor_length': 20.0
-           }, 0.1, 0.716532],
+          }, 0.1, 0.716532],
 
          [{'guinier_scale': 4.0,
@@ -100,5 +101,4 @@
            'cor_length': 20.0,
            'background': 20.0,
-           }, 5.0, 20.1224653026],
-
-         ]
+          }, 5.0, 20.1224653026],
+        ]
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision 87edabfe7306ef91188a6c799f4ec30d181290e2)
+++ sasmodels/models/mass_fractal.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -52,5 +52,6 @@
 ---------
 
-D Mildner and P Hall, *J. Phys. D: Appl. Phys.*,  19 (1986) 1535-1545 Equation(9)
+D Mildner and P Hall, *J. Phys. D: Appl. Phys.*,
+19 (1986) 1535-1545 Equation(9)
 
 
@@ -79,10 +80,11 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["radius",        "Ang",  10.0, [0.0, inf], "", "Particle radius"],
               ["mass_dim",      "",      1.9, [1.0, 6.0], "", "Mass fractal dimension"],
               ["cutoff_length", "Ang", 100.0, [0.0, inf], "", "Cut-off length"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/sph_j1c.c", "lib/lanczos_gamma.c", "mass_fractal.c"]
@@ -99,26 +101,27 @@
 
 tests = [
-         # Accuracy tests based on content in test/utest_other_models.py
-         [{'radius':         10.0,
-           'mass_dim':        1.9,
-           'cutoff_length': 100.0,
-           }, 0.05, 279.59322],
 
-         # Additional tests with larger range of parameters
-         [{'radius':        2.0,
-           'mass_dim':      3.3,
-           'cutoff_length': 1.0,
-           }, 0.5, 1.29016774904],
+    # Accuracy tests based on content in test/utest_other_models.py
+    [{'radius':         10.0,
+      'mass_dim':        1.9,
+      'cutoff_length': 100.0,
+     }, 0.05, 279.59322],
 
-         [{'radius':        1.0,
-           'mass_dim':      1.3,
-           'cutoff_length': 1.0,
-           'background':    0.8,
-           }, 0.001, 1.69747015932],
+    # Additional tests with larger range of parameters
+    [{'radius':        2.0,
+      'mass_dim':      3.3,
+      'cutoff_length': 1.0,
+     }, 0.5, 1.29016774904],
 
-         [{'radius':        1.0,
-           'mass_dim':      2.3,
-           'cutoff_length': 1.0,
-           'scale':        10.0,
-           }, 0.051, 11.6227966145],
-         ]
+    [{'radius':        1.0,
+      'mass_dim':      1.3,
+      'cutoff_length': 1.0,
+      'background':    0.8,
+     }, 0.001, 1.69747015932],
+
+    [{'radius':        1.0,
+      'mass_dim':      2.3,
+      'cutoff_length': 1.0,
+      'scale':        10.0,
+     }, 0.051, 11.6227966145],
+    ]
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
+++ sasmodels/models/mass_surface_fractal.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -54,5 +54,6 @@
 P Schmidt, *J Appl. Cryst.*, 24 (1991) 414-435 Equation(19)
 
-A J Hurd, D W Schaefer, J E Martin, *Phys. Rev. A*, 35 (1987) 2361-2364 Equation(2)
+A J Hurd, D W Schaefer, J E Martin, *Phys. Rev. A*,
+35 (1987) 2361-2364 Equation(2)
 
 """
@@ -79,4 +80,5 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["mass_dim",      "",    1.8, [1e-16, 6.0], "",
@@ -88,6 +90,6 @@
               ["primary_rg", "Ang", 4000.,  [0.0, inf], "",
                "Primary particle radius of gyration"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["mass_surface_fractal.c"]
@@ -107,30 +109,31 @@
 
 tests = [
-         # Accuracy tests based on content in test/utest_other_models.py
-         [{'mass_dim':      1.8,
-           'surface_dim':   2.3,
-           'cluster_rg':   86.7,
-           'primary_rg': 4000.0,
-           }, 0.05, 1.77537e-05],
 
-         # Additional tests with larger range of parameters
-         [{'mass_dim':      3.3,
-           'surface_dim':   1.0,
-           'cluster_rg':   90.0,
-           'primary_rg': 4000.0,
-           }, 0.001, 0.18462699016],
+    # Accuracy tests based on content in test/utest_other_models.py
+    [{'mass_dim':      1.8,
+      'surface_dim':   2.3,
+      'cluster_rg':   86.7,
+      'primary_rg': 4000.0,
+     }, 0.05, 1.77537e-05],
 
-         [{'mass_dim':      1.3,
-           'surface_dim':   1.0,
-           'cluster_rg':   90.0,
-           'primary_rg': 2000.0,
-           'background':    0.8,
-           }, 0.001, 1.16539753641],
+    # Additional tests with larger range of parameters
+    [{'mass_dim':      3.3,
+      'surface_dim':   1.0,
+      'cluster_rg':   90.0,
+      'primary_rg': 4000.0,
+     }, 0.001, 0.18462699016],
 
-         [{'mass_dim':      2.3,
-           'surface_dim':   1.0,
-           'cluster_rg':   90.0,
-           'primary_rg': 1000.0,
-           'scale':        10.0,
-           }, 0.051, 0.000169548800377],
-         ]
+    [{'mass_dim':      1.3,
+      'surface_dim':   1.0,
+      'cluster_rg':   90.0,
+      'primary_rg': 2000.0,
+      'background':    0.8,
+     }, 0.001, 1.16539753641],
+
+    [{'mass_dim':      2.3,
+      'surface_dim':   1.0,
+      'cluster_rg':   90.0,
+      'primary_rg': 1000.0,
+      'scale':        10.0,
+     }, 0.051, 0.000169548800377],
+    ]
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
+++ sasmodels/models/polymer_excl_volume.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -113,12 +113,15 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [["rg",        "Ang", 60.0, [0, inf],    "", "Radius of Gyration"],
               ["porod_exp", "",     3.0, [-inf, inf], "", "Porod exponent"],
-              ]
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 
-def Iq(q, rg, porod_exp):
-
+def Iq(q,
+       rg=60.0,
+       porod_exp=3.0):
     """
     :param q:         Input q-value (float or [float, float])
@@ -131,5 +134,6 @@
     o2nu = 1.0/(2.0*nu)
 
-    intensity = ((1.0/(nu*power(u, o2nu))) * (gamma(o2nu)*gammainc(o2nu, u) -
+    intensity = ((1.0/(nu*power(u, o2nu))) *
+                 (gamma(o2nu)*gammainc(o2nu, u) -
                   1.0/power(u, o2nu) * gamma(porod_exp) *
                   gammainc(porod_exp, u))) * (q > 0) + 1.0*(q <= 0)
@@ -141,7 +145,12 @@
 
 def Iqxy(qx, qy, *args):
-        iq = Iq(sqrt(qx**2 + qy**2), *args)
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining arguments
+    :return:     2D-Intensity
+    """
 
-        return iq
+    return Iq(sqrt(qx**2 + qy**2), *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
@@ -158,13 +167,13 @@
 
 tests = [
-         # Accuracy tests based on content in test/polyexclvol_default_igor.txt
-         [{'rg': 60, 'porod_exp': 3.0}, 0.001, 0.998801],
-         [{'rg': 60, 'porod_exp': 3.0}, 0.105363, 0.0162751],
-         [{'rg': 60, 'porod_exp': 3.0}, 0.665075, 6.56261e-05],
+    # Accuracy tests based on content in test/polyexclvol_default_igor.txt
+    [{'rg': 60, 'porod_exp': 3.0}, 0.001, 0.998801],
+    [{'rg': 60, 'porod_exp': 3.0}, 0.105363, 0.0162751],
+    [{'rg': 60, 'porod_exp': 3.0}, 0.665075, 6.56261e-05],
 
-         # Additional tests with larger range of parameters
-         [{'rg': 10, 'porod_exp': 4.0}, 0.1, 0.723436675809],
-         [{'rg': 2.2, 'porod_exp': 22.0, 'background': 100.0}, 5.0, 100.0],
-         [{'rg': 1.1, 'porod_exp': 1, 'background': 10.0, 'scale': 1.25},
-         20000., 10.0000712097]
-         ]
+    # Additional tests with larger range of parameters
+    [{'rg': 10, 'porod_exp': 4.0}, 0.1, 0.723436675809],
+    [{'rg': 2.2, 'porod_exp': 22.0, 'background': 100.0}, 5.0, 100.0],
+    [{'rg': 1.1, 'porod_exp': 1, 'background': 10.0, 'scale': 1.25},
+     20000., 10.0000712097]
+    ]
Index: sasmodels/models/star_polymer.py
===================================================================
--- sasmodels/models/star_polymer.py	(revision 55b283e83d5d634117ba0d673c0f2121cce7ce82)
+++ sasmodels/models/star_polymer.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -55,10 +55,10 @@
         """
 category = "shape-independent"
-
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["radius2", "Ang", 100.0, [0.0, inf], "", "Ensemble radius of gyration squared of an arm"],
               ["arms",    "",      3,   [1.0, 6.0], "", "Number of arms in the model"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["star_polymer.c"]
@@ -75,9 +75,9 @@
 tests = [[{'radius2': 2.0,
            'arms':    3.3,
-           }, 0.5, 0.850646091108],
+          }, 0.5, 0.850646091108],
 
          [{'radius2':    1.0,
            'arms':       2.0,
            'background': 1.8,
-           }, 1.0, 2.53575888234],
-         ]
+          }, 1.0, 2.53575888234],
+        ]
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
+++ sasmodels/models/surface_fractal.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -80,4 +80,5 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["radius",        "Ang", 10.0, [0, inf],   "",
@@ -87,6 +88,6 @@
               ["cutoff_length", "Ang", 500., [0.0, inf], "",
                "Cut-off Length"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/sph_j1c.c", "lib/lanczos_gamma.c", "surface_fractal.c"]
@@ -101,18 +102,26 @@
 
 tests = [
-         # Accuracy tests based on content in test/utest_other_models.py
-         [{'radius': 10.0, 'surface_dim': 2.0, 'cutoff_length': 500.0,
-           }, 0.05, 301428.65916],
+    # Accuracy tests based on content in test/utest_other_models.py
+    [{'radius': 10.0,
+      'surface_dim': 2.0,
+      'cutoff_length': 500.0,
+     }, 0.05, 301428.65916],
 
-         # Additional tests with larger range of parameters
-         [{'radius': 1.0, 'surface_dim': 1.0, 'cutoff_length': 10.0,
-           }, 0.332070182643, 1125.00321004],
+    # Additional tests with larger range of parameters
+    [{'radius': 1.0,
+      'surface_dim': 1.0,
+      'cutoff_length': 10.0,
+     }, 0.332070182643, 1125.00321004],
 
-         [{'radius': 3.5, 'surface_dim': 0.1, 'cutoff_length': 30.0,
-           'background': 0.01,
-           }, 5.0, 0.00999998891322],
+    [{'radius': 3.5,
+      'surface_dim': 0.1,
+      'cutoff_length': 30.0,
+      'background': 0.01,
+     }, 5.0, 0.00999998891322],
 
-         [{'radius': 3.0, 'surface_dim': 1.0, 'cutoff_length': 33.0,
-           'scale': 0.1,
-           }, 0.51, 2.50020147004],
-         ]
+    [{'radius': 3.0,
+      'surface_dim': 1.0,
+      'cutoff_length': 33.0,
+      'scale': 0.1,
+     }, 0.51, 2.50020147004],
+    ]
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
+++ sasmodels/models/two_lorentzian.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -54,27 +54,23 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #            ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["lorentz_scale_1",  "",     10.0, [-inf, inf], "",
-               "First power law scale factor"],
-              ["lorentz_length_1", "Ang", 100.0, [-inf, inf], "",
-               "First Lorentzian screening length"],
-              ["lorentz_exp_1",    "",      3.0, [-inf, inf], "",
-               "First exponent of power law"],
-              ["lorentz_scale_2",  "",      1.0, [-inf, inf], "",
-               "Second scale factor for broad Lorentzian peak"],
-              ["lorentz_length_2", "Ang",  10.0, [-inf, inf], "",
-               "Second Lorentzian screening length"],
-              ["lorentz_exp_2",    "",      2.0, [-inf, inf], "",
-               "Second exponent of power law"],
-              ]
+parameters = [["lorentz_scale_1",  "",     10.0, [-inf, inf], "", "First power law scale factor"],
+              ["lorentz_length_1", "Ang", 100.0, [-inf, inf], "", "First Lorentzian screening length"],
+              ["lorentz_exp_1",    "",      3.0, [-inf, inf], "", "First exponent of power law"],
+              ["lorentz_scale_2",  "",      1.0, [-inf, inf], "", "Second scale factor for broad Lorentzian peak"],
+              ["lorentz_length_2", "Ang",  10.0, [-inf, inf], "", "Second Lorentzian screening length"],
+              ["lorentz_exp_2",    "",      2.0, [-inf, inf], "", "Second exponent of power law"],
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 
 def Iq(q,
-       lorentz_scale_1,
-       lorentz_length_1,
-       lorentz_exp_1,
-       lorentz_scale_2,
-       lorentz_length_2,
-       lorentz_exp_2):
+       lorentz_scale_1=10.0,
+       lorentz_length_1=100.0,
+       lorentz_exp_1=3.0,
+       lorentz_scale_2=1.0,
+       lorentz_length_2=10.0,
+       lorentz_exp_2=2.0):
 
     """
@@ -88,9 +84,10 @@
     :return:                    Calculated intensity
     """
-
+# pylint: disable=bad-whitespace
     intensity  = lorentz_scale_1/(1.0 +
                                   power(q*lorentz_length_1, lorentz_exp_1))
     intensity += lorentz_scale_2/(1.0 +
                                   power(q*lorentz_length_2, lorentz_exp_2))
+# pylint: enable=bad-whitespace
 
     return intensity
@@ -100,7 +97,12 @@
 
 def Iqxy(qx, qy, *args):
-        iq = Iq(sqrt(qx**2 + qy**2), *args)
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining arguments
+    :return:     2D-Intensity
+    """
 
-        return iq
+    return Iq(sqrt(qx**2 + qy**2), *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
@@ -108,66 +110,74 @@
 
 demo = dict(scale=1, background=0.1,
-            lorentz_scale_1=10, lorentz_length_1=100.0, lorentz_exp_1=3.0,
-            lorentz_scale_2=1,  lorentz_length_2=10,    lorentz_exp_2=2.0)
+            lorentz_scale_1=10,
+            lorentz_length_1=100.0,
+            lorentz_exp_1=3.0,
+            lorentz_scale_2=1,
+            lorentz_length_2=10,
+            lorentz_exp_2=2.0)
 
 oldname = "TwoLorentzianModel"
 oldpars = dict(background='background',
-               lorentz_scale_1='scale_1',   lorentz_scale_2='scale_2',
-               lorentz_length_1='length_1', lorentz_length_2='length_2',
-               lorentz_exp_1='exponent_1',  lorentz_exp_2='exponent_2')
+               lorentz_scale_1='scale_1',
+               lorentz_scale_2='scale_2',
+               lorentz_length_1='length_1',
+               lorentz_length_2='length_2',
+               lorentz_exp_1='exponent_1',
+               lorentz_exp_2='exponent_2')
 
 tests = [
-         # Accuracy tests based on content in test/utest_extra_models.py
-         [{'lorentz_scale_1':   10.0,
-           'lorentz_length_1': 100.0,
-           'lorentz_exp_1':      3.0,
-           'lorentz_scale_2':    1.0,
-           'lorentz_length_2':  10.0,
-           'lorentz_exp_2':      2.0,
-           'background':         0.1,
-           }, 0.001, 11.08991],
 
-         [{'lorentz_scale_1':   10.0,
-           'lorentz_length_1': 100.0,
-           'lorentz_exp_1':      3.0,
-           'lorentz_scale_2':    1.0,
-           'lorentz_length_2':  10.0,
-           'lorentz_exp_2':      2.0,
-           'background':         0.1,
-           }, 0.150141, 0.410245],
+    # Accuracy tests based on content in test/utest_extra_models.py
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+      'background':         0.1,
+     }, 0.001, 11.08991],
 
-         [{'lorentz_scale_1':   10.0,
-           'lorentz_length_1': 100.0,
-           'lorentz_exp_1':      3.0,
-           'lorentz_scale_2':    1.0,
-           'lorentz_length_2':  10.0,
-           'lorentz_exp_2':      2.0,
-           'background':         0.1,
-           }, 0.442528, 0.148699],
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+      'background':         0.1,
+     }, 0.150141, 0.410245],
 
-         # Additional tests with larger range of parameters
-         [{'lorentz_scale_1':   10.0,
-           'lorentz_length_1': 100.0,
-           'lorentz_exp_1':      3.0,
-           'lorentz_scale_2':    1.0,
-           'lorentz_length_2':  10.0,
-           'lorentz_exp_2':      2.0,
-           }, 0.000332070182643, 10.9996228107],
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+      'background':         0.1,
+     }, 0.442528, 0.148699],
 
-         [{'lorentz_scale_1':  0.0,
-           'lorentz_length_1': 0.0,
-           'lorentz_exp_1':    0.0,
-           'lorentz_scale_2':  0.0,
-           'lorentz_length_2': 0.0,
-           'lorentz_exp_2':    0.0,
-           'background':     100.0
-           }, 5.0, 100.0],
+    # Additional tests with larger range of parameters
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+     }, 0.000332070182643, 10.9996228107],
 
-         [{'lorentz_scale_1': 200.0,
-           'lorentz_length_1': 10.0,
-           'lorentz_exp_1':     0.1,
-           'lorentz_scale_2':   0.1,
-           'lorentz_length_2':  5.0,
-           'lorentz_exp_2':     2.0
-           }, 20000., 45.5659201896],
-         ]
+    [{'lorentz_scale_1':  0.0,
+      'lorentz_length_1': 0.0,
+      'lorentz_exp_1':    0.0,
+      'lorentz_scale_2':  0.0,
+      'lorentz_length_2': 0.0,
+      'lorentz_exp_2':    0.0,
+      'background':     100.0
+     }, 5.0, 100.0],
+
+    [{'lorentz_scale_1': 200.0,
+      'lorentz_length_1': 10.0,
+      'lorentz_exp_1':     0.1,
+      'lorentz_scale_2':   0.1,
+      'lorentz_length_2':  5.0,
+      'lorentz_exp_2':     2.0
+     }, 20000., 45.5659201896],
+    ]
